Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Display order of property definitions in a set

0 REPLIES 0
Reply
Message 1 of 1
hartmut.holzmann
106 Views, 0 Replies

Display order of property definitions in a set

Hello together,

 

How can I control the display order of properties in lisp below?

(defun c:PsC (/ )

(setq aObj (vlax-get-acad-object)
dok (vla-get-activedocument aObj)
schApp (vla-getInterfaceObject aObj "AecX.AecScheduleApplication.8.4")
psetDefs (vlaX-invoke-method schApp 'PropertySetDefs (vla-get-database dok))
)
(setq psdName "Duct")
(if (= (vlax-invoke-method psetDefs 'Has psdName) :vlax-false) ; kein psd vorhanden
(progn
(setq psetdef (vlax-invoke-method psetDefs 'Add psdName)) ; erstellen
(setq pdefs (vlax-get-property psetdef 'PropertyDefs))
(setq pdef (vlax-invoke-method pdefs 'Add "Company"))
(setq pdef (vlax-invoke-method pdefs 'Add "Installation"))
(setq pdef (vlax-invoke-method pdefs 'Add "Width"))
(setq pdef (vlax-invoke-method pdefs 'Add "Height"))
)
)
)

for example as in .Net

; propertySetDefinition.Definitions.Add(propDef);
; propertySetDefinition.SetDisplayOrder(propDef, 1);

or about the dictionary?

 

Greetings

0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


AutoCAD Beta